Embeddings (Gemini format)
curl --request POST \
--url https://api.gravitex.ai/v1/engines/{model}/embeddings \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"input": {},
"encoding_format": "<string>",
"dimensions": 123
}
'import requests
url = "https://api.gravitex.ai/v1/engines/{model}/embeddings"
payload = {
"model": "<string>",
"input": {},
"encoding_format": "<string>",
"dimensions": 123
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: '<string>', input: {}, encoding_format: '<string>', dimensions: 123})
};
fetch('https://api.gravitex.ai/v1/engines/{model}/embeddings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Completions & Embeddings
Embeddings (Gemini format)
POST /v1/engines//embeddings
POST
/
v1
/
engines
/
{model}
/
embeddings
Embeddings (Gemini format)
Introduction
Create embeddings with the model specified in the URL path. Request body matches the OpenAI-style fields. See also Embeddings (OpenAI format) (POST /v1/embeddings).
Authentication
string
required
Bearer Token, e.g.
Bearer sk-xxxxxxxxxxPath parameters
string
required
Model or engine ID in the path
Request body
string
required
Model name (may match path
model)string | array
required
Text to embed
string
default:"float"
float or base64integer
Output dimensions
Example
curl -X POST "https://api.gravitex.ai/v1/engines/text-embedding-ada-002/embeddings" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer sk-xxxxxxxxxx" \
-d '{
"model": "text-embedding-ada-002",
"input": "Hello, world"
}'
Response
Same shape asPOST /v1/embeddings (object, data, model, usage).âI
